Subject: Re: [PATCH 2/2] [RFC] Add c/r support for connected INET sockets

From: John Dykstra <[email-masked]>
Date: Thu, 08 Oct 2009 12:31:27 -0500

On Thu, 2009-10-08 at 08:41 -0700, Dan Smith wrote:
> JD> You're passing 0 as the protocol value to sock_create().  This
> JD> ultimately gets passed to the address family's create() function.
> 
> The fix is to pass in the previous version of sk_protocol instead of
> zero, right?

Yep.  It sort of messes up your separation between layers, though.

  --  John